Subject: MCC Interim Distribution 0.99.pl10
From: [email-masked] (Owen LeBlanc)
Date: Fri, 9 Jul 93 17:38:08 GMT
Newsgroups: comp.os.linux.announce

MCC interim release of Linux 0.99 at patch level 10 with alpha patches,
includes gcc 2.4.5, libraries at 4.4.1, and net-2 tcpip software, is
now available by anonymous ftp from ftp.mcc.ac.uk [130.88.203.12] in
the directory /pub/linux/mcc-interim/0.99p10+.
 
The MCC interim version of Linux is a small release, which fits on
five 3.5 inch or six 5.25 inch floppies.  It includes all of the
usual GNU utilities, gcc, g++, gdb, bison, flex, tar, gawk, groff,
Rik Faith's utilities collections, fsutils, mount (including NFS
mount), sysvinit, kermit, tcpip programs, as well as full kernel
sources.  Sources for every binary included in the release are
available in /pub/linux/mcc-interim/0.99p10+/source_files at the same
site, though only kernel source files are installed as part of the
distribution.
 
A new feature in this release is the 'customise script' -- can anyone
suggest a better name? -- which allows you to run fdisk, mkswap, swapon,
mkfs, and install basic binaries, all from a single command.  This is
not useful during a first installation, but it helps people like me
who often need to install Linux on a large number of identical
machines in a short time.  Also, there is, of course, no longer a
separate version for US and UK keyboards; the keymaps for these two
versions are installed by default, though US users must change a link
to load the US keymap.

This time I am a little behind with the documentation, which should
be available (I hope) by Monday 12 July.  It is not all that different
from the documentation for the 99p8+ release, which is still on line,
though of course the number and sizes of packages is slightly different.
Many software components of this release have been upgraded recently,
and I have included nearly all of them.  (I have not included cpio-2.3,
which appeared this morning, or emacs-19.16, which appeared only two
weeks after its predecessor.)  Nearly all reported bugs from the last
release have been fixed, but there are a couple of new bugs as well.
 
Advantages:  This release is small, coherent, and unified.  It is
easy to install with the root/boot disk, since menus guide you through
running fdisk, making swap and file system partitions, and installing.
It is fairly well documented, if you don't mind using the old version
for a few days.  All available man pages and info files are included.
 
Disadvantages:  This release does not contain X, emacs, lp software,
cron, mailers, newsreaders, or anything else I can't compile and test
in a reasonable time.  But all of the standard releases of these
applications should install and run with no qualms -- I use X and emacs
myself.  The menu-driven install program is harder to document well.
You do have to go out and get extra software, instead of getting it all
at once.
 
All of the files, binary or text, installed by this release will be
available within a day or two individually by anonymous ftp from
ftp.mcc.ac.uk in the directory /pub/linux/binaries-4.4.1.

This distribution is mirrored at nic.funet.fi, at tsx-11.mit.edu, and
at sunsite.unc.edu, and I presume it should be available there in
a day or so.
 
     -- Owen
     [email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]